Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Interface LobStreamInterface

All Superinterfaces:
  BlobDomainInterface, DomainInterface, LobInterface, MutableDomainInterface

All Known Implementing Classes:
  BFileDomain, BlobDomain, ClobDomain

public interface LobStreamInterface
extends LobInterface

Provides methods to save data to, and extract data from, LOB domain classes. These methods are implemented by all LOB-based domain classes: `BlobDomain`, `BFileDomain`, and `ClobDomain`.

Domain classes encapsulate Oracle SQL datatypes. Domain objects can be converted to the standard JDBC data types.

Since:
  JDevloper 3.0
See Also:
  `TypeFactory`, "JboDomainValidator"

Method Summary
`void` | `closeCharacterOutputStream()` Closes and cleansup internal reference to writer.
`void` | `closeCharacterStream()` Closes the character-reader object.
`void` | `closeInputStream()` Closes the InputStream object.
`void` | `closeOutputStream()` Closes the OutputStream object.
`java.io.Writer` | `getCharacterOutputStream()` Returns a writer to be used to write chars into this CLOB.
`java.io.Reader` | `getCharacterStream()` Returns a stream to be used to read bytes from this LOB.
`java.io.InputStream` | `getInputStream()` Returns a stream to be used to read bytes from this LOB.
`java.io.OutputStream` | `getOutputStream()` Returns a stream to be used to write bytes into this LOB.

Methods inherited from interface oracle.jbo.domain.LobInterface
`getOwner, getOwnerAttributeIndex, getRemoteIdString, getSize, syncClientLob, syncServerLob`

Methods inherited from interface oracle.jbo.domain.BlobDomainInterface
`loadFromDatabase, prepareForDML, saveToDatabase, saveToDatabase`

Methods inherited from interface oracle.jbo.domain.DomainInterface
`getData, setContext`

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns a stream to be used to write bytes into this LOB. This stream works in both 2/3 tiers. In 2-tier, this stream could be the same as the stream returned by the internal jdbc object. In 3-tier, this stream is a remote OutputStream that streams data from the middle-tier LOB.

  Note that calling this multiple times returns the same OutputStream object. (It does not create a new OutputStream object each time it is called.) If you want to get a new OutputStream, call closeOutputStream then call getOutputStream.

### closeOutputStream

    public void closeOutputStream()

  Closes the OutputStream object. The OutputStream field is reset so that if getOutputStream() is called again, a new OutputStream is opened.

### getInputStream

    public java.io.InputStream getInputStream()

  Returns a stream to be used to read bytes from this LOB. This stream works in both 2/3 tiers. In 2-tier, this stream could be the same as the stream returned by the internal jdbc object. In 3-tier, this stream is a remote OutputStream that streams data from the middle-tier LOB.

  Note that calling this multiple times returns the same InputStream object. (It does not create a new InputStream object each time it is called.) If you want to get a new InputStream, call closeInputStream then call getInputStream.

### closeInputStream

    public void closeInputStream()

  Closes the InputStream object. The InputStream field is reset so that if getInputStream() is called again, a new InputStream is opened.

### getCharacterStream

    public java.io.Reader getCharacterStream()

  Returns a stream to be used to read bytes from this LOB. This stream works in both 2/3 tiers. In 2-tier, this stream could be the same as the stream returned by the internal jdbc object. In 3-tier, this stream is a remote OutputStream that streams data from the middle-tier LOB.

  Note that calling this multiple times returns the same Reader object. (It does not create a new Reader object each time it is called.) If you want to get a new Reader, call closeInputStream then call getInputStream.

### closeCharacterStream

    public void closeCharacterStream()

  Closes the character-reader object. The character-reader field is reset so that if getCharacterStream() is called again, a new character-reader is opened.

### getCharacterOutputStream

    public java.io.Writer getCharacterOutputStream()

  Returns a writer to be used to write chars into this CLOB. This stream works in both 2/3 tiers. In 2-tier, this writer could be the same as the writer returned by the internal jdbc object. In 3-tier, this stream is a remote writer that streams data from the middle-tier LOB.

### closeCharacterOutputStream

    public void closeCharacterOutputStream()

  Closes and cleansup internal reference to writer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.